/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workeffectdetail.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workstaff.entity.WorkStaffBasicInfo;

/**
 * 绩效明细Entity
 * @author ssrh
 * @version 2018-09-11
 */
public class WorkEffectDetail extends DataEntity<WorkEffectDetail> {
	
	private static final long serialVersionUID = 1L;
	private String effectId;		// 绩效
	private String no;		// 工号
	private String name;		// 姓名
	private WorkStaffBasicInfo workStaffBasicInfo;		// 档案
	private String jobGrade;		// 职级
	private String money;		// 金额
	
	public WorkEffectDetail() {
		super();
	}

	public WorkEffectDetail(String id){
		super(id);
	}

	public String getEffectId() {
		return effectId;
	}

	public void setEffectId(String effectId) {
		this.effectId = effectId;
	}
	
	@ExcelField(title="工号", align=2, sort=8)
	public String getNo() {
		return no;
	}

	public void setNo(String no) {
		this.no = no;
	}
	
	@ExcelField(title="姓名", align=2, sort=9)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public WorkStaffBasicInfo getWorkStaffBasicInfo() {
		return workStaffBasicInfo;
	}

	public void setWorkStaffBasicInfo(WorkStaffBasicInfo workStaffBasicInfo) {
		this.workStaffBasicInfo = workStaffBasicInfo;
	}

	public String getJobGrade() {
		return jobGrade;
	}

	public void setJobGrade(String jobGrade) {
		this.jobGrade = jobGrade;
	}
	
	@ExcelField(title="金额", align=2, sort=12)
	public String getMoney() {
		return money;
	}

	public void setMoney(String money) {
		this.money = money;
	}
	
}